Renew Channel Heartbeat
Keep the user session alive by renewing the heartbeat
POST
/launcher/channel-heartbeat
Keep the user session alive by renewing the heartbeat
Header Parameters
X-Request-Nonce
string
optional
header
Random string identifier for request (for signature verification)
X-Request-Signature
string
optional
header
MD5 hash for request verification
Request Body required
application/jsonlauncherJwt
string
REQUIRED
Responses
200
Successful response
application/jsonsuccess
boolean
400
Bad Request
401
Unauthorized
curl -X POST 'https://api.basement.fun/launcher/channel-heartbeat' \
-H 'Content-Type: application/json' \
-d '{
"launcherJwt": "string"
}'
const response = await fetch('https://api.basement.fun/launcher/channel-heartbeat', {
method: 'POST',
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"launcherJwt": "string"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post('https://api.basement.fun/launcher/channel-heartbeat', json={
"launcherJwt": "string"
})
print(response.json())
200
Response
{
"success": true
}
POST
/launcher/channel-heartbeat